Subject: Re: bug#69237: 30.0.50; Toggle password visibility

From: Michael Albinus <[email-masked]>
Date: Sun, 25 Feb 2024 12:25:39 +0100

Kévin Le Gouguec <[email-masked]> writes:

Hi Kévin,

> * Should we keep the double hyphen in "read-passwd--toggle-visibility"?
> Feeling like it connotes "Emacs internals" somewhat, and wondering if
> it's appropriate for interactive commands since they are "user-facing",
> and users might feel discouraged from remapping "internal-looking"
> commands.

It is not intended that users call 'M-x read-passwd--toggle-visibility'.
It makes sense only when you are already editing the minibuffer, typing
the password.

> * For the 'text icon variants, should we follow outline.el's example and
> use full verbs, like " reveal " and " conceal "?

Hmm. It would be too much space of the mode-line, I fear. See the other
examples, for example in tab-bar.el or tab-line.el.

Best regards, M;ichael.